Index: code/branches/cpp11_v2/src/orxonox/Level.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Level.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/Level.h	(revision 10817)
@@ -47,5 +47,5 @@
             virtual ~Level();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void playerEntered(PlayerInfo* player);
Index: code/branches/cpp11_v2/src/orxonox/LevelInfo.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/LevelInfo.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/LevelInfo.h	(revision 10817)
@@ -207,5 +207,5 @@
             virtual ~LevelInfo();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Creates a LevelInfo object through XML.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Creates a LevelInfo object through XML.
 
             /**
Index: code/branches/cpp11_v2/src/orxonox/PlayerManager.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/PlayerManager.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/PlayerManager.h	(revision 10817)
@@ -50,6 +50,6 @@
                 { return this->clients_; }
 
-            void clientConnected(unsigned int clientID);
-            void clientDisconnected(unsigned int clientID);
+            void clientConnected(unsigned int clientID) override;
+            void clientDisconnected(unsigned int clientID) override;
             void disconnectAllClients();
 
Index: code/branches/cpp11_v2/src/orxonox/Radar.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Radar.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/Radar.h	(revision 10817)
@@ -54,5 +54,5 @@
         virtual ~Radar();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
         const RadarViewable* getFocus();
Index: code/branches/cpp11_v2/src/orxonox/Scene.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/Scene.h	(revision 10817)
@@ -51,5 +51,5 @@
             virtual ~Scene();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void registerVariables();
 
@@ -79,7 +79,7 @@
                 { return this->radar_; }
 
-            inline virtual uint32_t getSceneID() const { return this->getObjectID(); }
+            inline virtual uint32_t getSceneID() const override { return this->getObjectID(); }
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
         private:
Index: code/branches/cpp11_v2/src/orxonox/chat/ChatHistory.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/chat/ChatHistory.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/chat/ChatHistory.h	(revision 10817)
@@ -82,5 +82,5 @@
        * \param senderID Identification number of the sender
        */
-      virtual void incomingChat(const std::string& message, const std::string& name);
+      virtual void incomingChat(const std::string& message, const std::string& name) override;
 
       /** Synchronize logfile onto the hard drive
Index: code/branches/cpp11_v2/src/orxonox/chat/ChatInputHandler.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/chat/ChatInputHandler.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/chat/ChatInputHandler.h	(revision 10817)
@@ -125,5 +125,5 @@
        * history window of the full chat window)
        */
-      void incomingChat(const std::string& message, const std::string& name);
+      void incomingChat(const std::string& message, const std::string& name) override;
 
       /** \param full true means show full chat window with history,
Index: code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/chat/ChatManager.h	(revision 10817)
@@ -55,5 +55,5 @@
             ChatManager(const ChatManager&);
 
-            virtual void incomingChat(const std::string& message, unsigned int sourceID);
+            virtual void incomingChat(const std::string& message, unsigned int sourceID) override;
 
             static ChatManager* singletonPtr_s;
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/CollisionShape.h	(revision 10817)
@@ -61,5 +61,5 @@
             virtual ~CollisionShape();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             /**
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/CompoundCollisionShape.h	(revision 10817)
@@ -61,5 +61,5 @@
             virtual ~CompoundCollisionShape();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void attach(CollisionShape* shape);
@@ -70,9 +70,9 @@
             void updateAttachedShape(CollisionShape* shape);
 
-            virtual void changedScale();
+            virtual void changedScale() override;
 
         private:
             void updatePublicShape();
-            inline virtual btCollisionShape* createNewShape() const
+            inline virtual btCollisionShape* createNewShape() const override
                 { assert(false); return nullptr; }
 
Index: code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/collisionshapes/WorldEntityCollisionShape.h	(revision 10817)
@@ -46,8 +46,8 @@
 
         protected:
-            virtual void updateParent();
+            virtual void updateParent() override;
 
         private:
-            void parentChanged();
+            void parentChanged() override;
 
             WorldEntity* worldEntityOwner_;
Index: code/branches/cpp11_v2/src/orxonox/controllers/AIController.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/AIController.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/AIController.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~AIController();
 
-            virtual void tick(float dt); //<! Carrying out the targets set in action().
+            virtual void tick(float dt) override; //<! Carrying out the targets set in action().
 
         protected:
Index: code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/ArtificialController.h	(revision 10817)
@@ -42,9 +42,9 @@
             virtual ~ArtificialController();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void abandonTarget(Pawn* target);
 
-            virtual void changedControllableEntity();
+            virtual void changedControllableEntity() override;
 
             virtual void doFire();
Index: code/branches/cpp11_v2/src/orxonox/controllers/Controller.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/Controller.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/Controller.h	(revision 10817)
@@ -45,5 +45,5 @@
             Controller(Context* context);
             virtual ~Controller();
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             inline void setPlayer(PlayerInfo* player)
                 { this->player_ = player; }
Index: code/branches/cpp11_v2/src/orxonox/controllers/ControllerDirector.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/ControllerDirector.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/ControllerDirector.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~ControllerDirector() { }
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             bool party(bool bTriggered, BaseObject* trigger);
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setScriptName(const std::string& name) { this->scriptname_ = name; }
Index: code/branches/cpp11_v2/src/orxonox/controllers/DroneController.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/DroneController.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/DroneController.h	(revision 10817)
@@ -53,5 +53,5 @@
             virtual ~DroneController();
 
-            virtual void tick(float dt); //!< The controlling happens here. This method defines what the controller has to do each tick.
+            virtual void tick(float dt) override; //!< The controlling happens here. This method defines what the controller has to do each tick.
 
             void setOwner(Pawn* owner);
Index: code/branches/cpp11_v2/src/orxonox/controllers/FormationController.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/FormationController.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/FormationController.h	(revision 10817)
@@ -50,5 +50,5 @@
       virtual ~FormationController();
 
-      virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+      virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
 
@@ -93,5 +93,5 @@
            { return this->formationMode_; }
 
-      virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage);
+      virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage) override;
 
       FormationController* getMaster( void ) { return myMaster_; }
@@ -99,5 +99,5 @@
       FormationController* getSlave( void ) { return this->slaves_.back(); }
 
-      virtual void changedControllableEntity();
+      virtual void changedControllableEntity() override;
 
   protected:
Index: code/branches/cpp11_v2/src/orxonox/controllers/HumanController.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/HumanController.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/HumanController.h	(revision 10817)
@@ -47,5 +47,5 @@
             virtual ~HumanController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             static void moveFrontBack(const Vector2& value);
Index: code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/NewHumanController.h	(revision 10817)
@@ -45,16 +45,16 @@
             virtual ~NewHumanController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void frontback(const Vector2& value);
-            virtual void yaw(const Vector2& value);
-            virtual void pitch(const Vector2& value);
+            virtual void frontback(const Vector2& value) override;
+            virtual void yaw(const Vector2& value) override;
+            virtual void pitch(const Vector2& value) override;
 
             static void accelerate();
             static void decelerate();
 
-            virtual void doFire(unsigned int firemode);
+            virtual void doFire(unsigned int firemode) override;
 
-            virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage);
+            virtual void hit(Pawn* originator, btManifoldPoint& contactpoint, float damage) override;
 
             static void unfire();
@@ -65,7 +65,7 @@
             static void changeMode();
 
-            virtual void changedControllableEntity();
-            virtual void doPauseControl();
-            virtual void doResumeControl();
+            virtual void changedControllableEntity() override;
+            virtual void doPauseControl() override;
+            virtual void doResumeControl() override;
 
             float getCurrentYaw(){ return this->currentYaw_; }
Index: code/branches/cpp11_v2/src/orxonox/controllers/ScriptController.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/ScriptController.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/ScriptController.h	(revision 10817)
@@ -71,5 +71,5 @@
             void setPlayer(PlayerInfo* player) { this->player_ = player; }
            
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             // LUA interface
Index: code/branches/cpp11_v2/src/orxonox/controllers/WaypointController.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/WaypointController.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/WaypointController.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~WaypointController();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
         protected:
Index: code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/controllers/WaypointPatrolController.h	(revision 10817)
@@ -43,6 +43,6 @@
             virtual ~WaypointPatrolController() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             inline void setAlertnessRadius(float radius)
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSClient.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSClient.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSClient.h	(revision 10817)
@@ -43,7 +43,7 @@
         ~GSClient();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
     };
 }
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSGraphics.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSGraphics.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSGraphics.h	(revision 10817)
@@ -53,7 +53,7 @@
         ~GSGraphics();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
     private:
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSLevel.h	(revision 10817)
@@ -44,7 +44,7 @@
         ~GSLevel();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
         static void startMainMenu(void); //!< Starts the MainMenu
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSMainMenu.h	(revision 10817)
@@ -44,7 +44,7 @@
         ~GSMainMenu();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
         void setConfigValues();
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSMasterServer.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSMasterServer.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSMasterServer.h	(revision 10817)
@@ -45,7 +45,7 @@
       ~GSMasterServer();
 
-      void activate();
-      void deactivate();
-      void update(const Clock& time);
+      void activate() override;
+      void deactivate() override;
+      void update(const Clock& time) override;
 
     private:
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSRoot.h	(revision 10817)
@@ -44,7 +44,7 @@
         static void printObjects();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
         // this has to be public because proteced triggers a bug in msvc
@@ -59,5 +59,5 @@
 
     protected:
-        virtual void changedTimeFactor(float factor_new, float factor_old);
+        virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
     private:
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSServer.h	(revision 10817)
@@ -43,7 +43,7 @@
         ~GSServer();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
     private:
Index: code/branches/cpp11_v2/src/orxonox/gamestates/GSStandalone.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gamestates/GSStandalone.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gamestates/GSStandalone.h	(revision 10817)
@@ -41,7 +41,7 @@
         ~GSStandalone();
 
-        void activate();
-        void deactivate();
-        void update(const Clock& time);
+        void activate() override;
+        void deactivate() override;
+        void update(const Clock& time) override;
 
     private:
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Asteroids.h	(revision 10817)
@@ -41,8 +41,8 @@
             virtual ~Asteroids() {}
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void start();
-            virtual void end();
+            virtual void start() override;
+            virtual void end() override;
 
             inline void firstCheckpointReached(bool reached)
@@ -50,5 +50,5 @@
 
         protected:
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr) override;
 
         private:
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Deathmatch.h	(revision 10817)
@@ -41,12 +41,12 @@
             virtual ~Deathmatch() {}
 
-            virtual void start();
-            virtual void end();
-            virtual void playerEntered(PlayerInfo* player);
-            virtual bool playerLeft(PlayerInfo* player);
-            virtual bool playerChangedName(PlayerInfo* player);
+            virtual void start() override;
+            virtual void end() override;
+            virtual void playerEntered(PlayerInfo* player) override;
+            virtual bool playerLeft(PlayerInfo* player) override;
+            virtual bool playerChangedName(PlayerInfo* player) override;
 
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
-            virtual void playerScored(PlayerInfo* player, int score = 1);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr) override;
+            virtual void playerScored(PlayerInfo* player, int score = 1) override;
     };
 }
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Dynamicmatch.h	(revision 10817)
@@ -64,12 +64,12 @@
             bool tutorial; //goal: new players receive messages how the new gametype works - later it can be switched off.
 
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //ok - score function and management of parties
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //ok - simple
-            virtual void start();
-            virtual void end(); //Wie geht das mit der Punkteausgabe aendern? Z.B: Persoenliche Nachricht?
-            virtual void playerEntered(PlayerInfo* player);
-            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn);//is used to initialize the player's party and colour
-            virtual bool playerLeft(PlayerInfo* player);
-            virtual bool playerChangedName(PlayerInfo* player);//unchanged
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override; //ok - score function and management of parties
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override; //ok - simple
+            virtual void start() override;
+            virtual void end() override; //Wie geht das mit der Punkteausgabe aendern? Z.B: Persoenliche Nachricht?
+            virtual void playerEntered(PlayerInfo* player) override;
+            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn) override;//is used to initialize the player's party and colour
+            virtual bool playerLeft(PlayerInfo* player) override;
+            virtual bool playerChangedName(PlayerInfo* player) override;//unchanged
 
             /*virtual void instructions();
@@ -78,6 +78,6 @@
             void grantPigBoost(SpaceShip* spaceship); // Grant the piggy a boost.
             void resetSpeedFactor(SpaceShip* spaceship);
-            void tick (float dt);// used to end the game
-            SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const;
+            void tick (float dt) override;// used to end the game
+            SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const override;
 
 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Gametype.h	(revision 10817)
@@ -76,5 +76,5 @@
             void setConfigValues();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             inline const GametypeInfo* getGametypeInfo() const
@@ -175,6 +175,6 @@
             virtual void spawnDeadPlayersIfRequested();
 
-            virtual GSLevelMementoState* exportMementoState();
-            virtual void importMementoState(const std::vector<GSLevelMementoState*>& states);
+            virtual GSLevelMementoState* exportMementoState() override;
+            virtual void importMementoState(const std::vector<GSLevelMementoState*>& states) override;
 
             WeakPtr<GametypeInfo> gtinfo_;
Index: code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/LastManStanding.h	(revision 10817)
@@ -61,5 +61,5 @@
             bool bHardPunishment; //!< Switches between damage and death as punishment.
             float punishDamageRate; //!< Makes Damage adjustable.
-            virtual void spawnDeadPlayersIfRequested(); //!< Prevents dead players to respawn.
+            virtual void spawnDeadPlayersIfRequested() override; //!< Prevents dead players to respawn.
             virtual int getMinLives(); //!< Returns minimum of each player's lives; players with 0 lives are skipped; 
 
@@ -69,16 +69,16 @@
             void setConfigValues(); //!< Makes values configurable.
 
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //!< Manages each players lives.
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override; //!< If a player shoot's an opponent, his punishment countdown will be resetted.
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override; //!< Manages each players lives.
 
-            virtual void end(); //!< Sends an end message.
+            virtual void end() override; //!< Sends an end message.
             int playerGetLives(PlayerInfo* player); //!< getFunction for the map "playerLives_".
             int getNumPlayersAlive() const; //!< Returns the number of players that are still alive.
-            virtual void playerEntered(PlayerInfo* player); //!< Initializes values.
-            virtual bool playerLeft(PlayerInfo* player); //!< Manages all local variables.
-            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn); //!< Resets punishment time and respawn delay.
+            virtual void playerEntered(PlayerInfo* player) override; //!< Initializes values.
+            virtual bool playerLeft(PlayerInfo* player) override; //!< Manages all local variables.
+            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn) override; //!< Resets punishment time and respawn delay.
 
             void punishPlayer(PlayerInfo* player); //!< Function in order to kill a player. Punishment for hiding longer than "timeRemaining".
-            void tick (float dt); //!< used to end the game
+            void tick (float dt) override; //!< used to end the game
     };
 }
Index: code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/LastTeamStanding.h	(revision 10817)
@@ -67,5 +67,5 @@
             std::map<PlayerInfo*, bool> inGame_; //!< Indicates each Player's state.
 
-            virtual void spawnDeadPlayersIfRequested(); //!< Prevents dead players to respawn.
+            virtual void spawnDeadPlayersIfRequested() override; //!< Prevents dead players to respawn.
             virtual int getMinLives(); //!< Returns minimum of each player's lives; players with 0 lives are skipped;
 
@@ -74,12 +74,12 @@
             virtual ~LastTeamStanding(); //!< Default Destructor.
 
-            virtual void playerEntered(PlayerInfo* player); //!< Initializes values.
-            virtual bool playerLeft(PlayerInfo* player); //!< Manages all local variables.
+            virtual void playerEntered(PlayerInfo* player) override; //!< Initializes values.
+            virtual bool playerLeft(PlayerInfo* player) override; //!< Manages all local variables.
 
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr); //!< Manages each player's lost lives.
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr); //!< If a player shoot's an opponent, his punishment countdown will be resetted.
-            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn); //!< Resets punishment time and respawn delay.
-            void tick (float dt); //!< used to end the game
-            virtual void end(); //!< Sends an end message.
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override; //!< Manages each player's lost lives.
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override; //!< If a player shoot's an opponent, his punishment countdown will be resetted.
+            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn) override; //!< Resets punishment time and respawn delay.
+            void tick (float dt) override; //!< used to end the game
+            virtual void end() override; //!< Sends an end message.
             void punishPlayer(PlayerInfo* player); //!< Function in order to kill a player. Punishment for hiding longer than "timeRemaining".
             int playerGetLives(PlayerInfo* player); //!< getFunction for the map "playerLives_".
Index: code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/Mission.h	(revision 10817)
@@ -42,10 +42,10 @@
             virtual ~Mission() {}
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            virtual void start();
-            virtual void end();
+            virtual void start() override;
+            virtual void end() override;
             virtual void setTeams();
-            virtual void addBots(unsigned int amount){} //<! overwrite function in order to bypass the addbots command
+            virtual void addBots(unsigned int amount) override{} //<! overwrite function in order to bypass the addbots command
             inline void setLives(unsigned int amount)
                 {this->lives_ = amount;}
@@ -58,5 +58,5 @@
 
         protected:
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr) override;
             bool missionAccomplished_; //<! indicates if player successfully finsihed the mission;
             int lives_; //<! amount of player's lives <-> nr. of retries
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamBaseMatch.h	(revision 10817)
@@ -44,8 +44,8 @@
             virtual ~TeamBaseMatch() {}
 
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator);
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator) override;
 
-            virtual void playerScored(PlayerInfo* player, int score = 1);
+            virtual void playerScored(PlayerInfo* player, int score = 1) override;
             virtual void showPoints();
             virtual void endGame();
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamDeathmatch.h	(revision 10817)
@@ -42,12 +42,12 @@
 
             void setConfigValues();
-            virtual void start();
-            virtual void end();
-            virtual void playerEntered(PlayerInfo* player);
-            virtual bool playerLeft(PlayerInfo* player);
-            virtual bool playerChangedName(PlayerInfo* player);
+            virtual void start() override;
+            virtual void end() override;
+            virtual void playerEntered(PlayerInfo* player) override;
+            virtual bool playerLeft(PlayerInfo* player) override;
+            virtual bool playerChangedName(PlayerInfo* player) override;
 
-            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr);
-            virtual void playerScored(PlayerInfo* player, int score = 1);
+            virtual void pawnKilled(Pawn* victim, Pawn* killer = nullptr) override;
+            virtual void playerScored(PlayerInfo* player, int score = 1) override;
        protected:
             int maxScore_; 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/TeamGametype.h	(revision 10817)
@@ -46,14 +46,14 @@
             void setConfigValues();
 
-            virtual void playerEntered(PlayerInfo* player);
+            virtual void playerEntered(PlayerInfo* player) override;
             virtual void findAndSetTeam(PlayerInfo* player);
-            virtual bool playerLeft(PlayerInfo* player);
-            virtual void spawnDeadPlayersIfRequested(); //!< Prevents players to respawn.
+            virtual bool playerLeft(PlayerInfo* player) override;
+            virtual void spawnDeadPlayersIfRequested() override; //!< Prevents players to respawn.
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override;
 
-            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn);
+            virtual void playerStartsControllingPawn(PlayerInfo* player, Pawn* pawn) override;
 
 
@@ -67,5 +67,5 @@
 
         protected:
-            virtual SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const;
+            virtual SpawnPoint* getBestSpawnPoint(PlayerInfo* player) const override;
             bool pawnsAreInTheSameTeam(Pawn* pawn1, Pawn* pawn2);
 
Index: code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/gametypes/UnderAttack.h	(revision 10817)
@@ -43,13 +43,13 @@
 
             void setConfigValues();
-            void tick (float dt);
+            void tick (float dt) override;
             void addDestroyer(Destroyer* destroyer);
             inline Destroyer* getDestroyer() const
                 { return this->destroyer_; }
 
-            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr);
-            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr);
-            virtual void playerEntered(PlayerInfo* player);
+            virtual bool allowPawnHit(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDamage(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual bool allowPawnDeath(Pawn* victim, Pawn* originator = nullptr) override;
+            virtual void playerEntered(PlayerInfo* player) override;
 
         protected:
Index: code/branches/cpp11_v2/src/orxonox/graphics/AnimatedModel.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/AnimatedModel.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/AnimatedModel.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~AnimatedModel();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void registerVariables();
 
@@ -51,5 +51,5 @@
             virtual void setAnimEnabled(bool enabled);
             virtual void setAnimLoop(bool loop);
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
             virtual void changedMesh();
 
Index: code/branches/cpp11_v2/src/orxonox/graphics/Backlight.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Backlight.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Backlight.h	(revision 10817)
@@ -44,8 +44,8 @@
             virtual ~Backlight();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
-            virtual void changedVisibility();
+            virtual void tick(float dt) override;
+            virtual void changedVisibility() override;
 
             inline void setWidth(float width)
@@ -74,15 +74,15 @@
                 { return this->trailmaterial_; }
 
-            virtual void changedScale();
+            virtual void changedScale() override;
 
         protected:
-            virtual void changedTimeFactor(float factor_new, float factor_old);
+            virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
         private:
             void registerVariables();
-            virtual void startturnonoff();
-            virtual void stopturnonoff();
-            virtual void poststopturnonoff();
-            virtual void changedColour();
+            virtual void startturnonoff() override;
+            virtual void stopturnonoff() override;
+            virtual void poststopturnonoff() override;
+            virtual void changedColour() override;
             void update_width();
             void update_lifetime();
Index: code/branches/cpp11_v2/src/orxonox/graphics/Billboard.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Billboard.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Billboard.h	(revision 10817)
@@ -47,7 +47,7 @@
             virtual ~Billboard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline const BillboardSet& getBillboardSet() const
@@ -71,5 +71,5 @@
 
 
-            virtual void setTeamColour(const ColourValue& colour)
+            virtual void setTeamColour(const ColourValue& colour) override
                 { this->setColour(colour); }
                 
Index: code/branches/cpp11_v2/src/orxonox/graphics/BlinkingBillboard.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/BlinkingBillboard.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/BlinkingBillboard.h	(revision 10817)
@@ -44,7 +44,7 @@
             virtual ~BlinkingBillboard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             inline void setAmplitude(float amplitude)
Index: code/branches/cpp11_v2/src/orxonox/graphics/Camera.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Camera.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Camera.h	(revision 10817)
@@ -50,5 +50,5 @@
 
             void setConfigValues();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             void requestFocus();
@@ -72,5 +72,5 @@
             void configvaluecallback_changedNearClipDistance();
 
-            void windowResized(unsigned int newWidth, unsigned int newHeight);
+            void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
             Ogre::Camera*    camera_;
Index: code/branches/cpp11_v2/src/orxonox/graphics/FadingBillboard.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/FadingBillboard.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/FadingBillboard.h	(revision 10817)
@@ -45,9 +45,9 @@
             virtual ~FadingBillboard();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void tick(float dt);
-            virtual void changedActivity();
-            virtual void changedVisibility();
+            virtual void tick(float dt) override;
+            virtual void changedActivity() override;
+            virtual void changedVisibility() override;
 
             inline void setTurnOnTime(float turnontime)
@@ -69,5 +69,5 @@
             virtual void stopturnonoff();
             virtual void poststopturnonoff();
-            virtual void changedColour();
+            virtual void changedColour() override;
 
             float turnontime_;
Index: code/branches/cpp11_v2/src/orxonox/graphics/GlobalShader.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/GlobalShader.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/GlobalShader.h	(revision 10817)
@@ -44,7 +44,7 @@
             virtual ~GlobalShader();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline const Shader& getShader() const
Index: code/branches/cpp11_v2/src/orxonox/graphics/Light.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Light.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Light.h	(revision 10817)
@@ -56,7 +56,7 @@
             virtual ~Light();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline Ogre::Light* getLight()
@@ -78,5 +78,5 @@
                 { return this->specular_; }
 
-            virtual void setTeamColour(const ColourValue& colour)
+            virtual void setTeamColour(const ColourValue& colour) override
                 { this->setDiffuseColour(colour); this->setSpecularColour(colour); }
 
Index: code/branches/cpp11_v2/src/orxonox/graphics/MeshLodInformation.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/MeshLodInformation.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/MeshLodInformation.h	(revision 10817)
@@ -50,5 +50,5 @@
             float getReductionRate(){ return this->reductionRate_; }
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         private:
Index: code/branches/cpp11_v2/src/orxonox/graphics/Model.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/Model.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/Model.h	(revision 10817)
@@ -46,7 +46,7 @@
             void setConfigValues();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             inline const Mesh& getMesh() const
Index: code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/ParticleEmitter.h	(revision 10817)
@@ -43,8 +43,8 @@
             virtual ~ParticleEmitter();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedVisibility();
-            virtual void changedActivity();
+            virtual void changedVisibility() override;
+            virtual void changedActivity() override;
 
             inline ParticleInterface* getParticleInterface() const
Index: code/branches/cpp11_v2/src/orxonox/graphics/ParticleSpawner.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/graphics/ParticleSpawner.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/graphics/ParticleSpawner.h	(revision 10817)
@@ -43,6 +43,6 @@
             virtual ~ParticleSpawner();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void stop(bool bDestroy)
Index: code/branches/cpp11_v2/src/orxonox/infos/Bot.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/infos/Bot.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/infos/Bot.h	(revision 10817)
@@ -45,9 +45,9 @@
             void setConfigValues();
 
-            inline bool isInitialized() const
+            inline bool isInitialized() const override
                 { return true; }
-            inline float getPing() const
+            inline float getPing() const override
                 { return 0; }
-            inline float getPacketLossRatio() const
+            inline float getPacketLossRatio() const override
                 { return 0; }
 
Index: code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/infos/HumanPlayer.h	(revision 10817)
@@ -45,11 +45,11 @@
             void setConfigValues();
 
-            bool isInitialized() const;
-            float getPing() const;
-            float getPacketLossRatio() const;
+            bool isInitialized() const override;
+            float getPing() const override;
+            float getPacketLossRatio() const override;
 
             void setClientID(unsigned int clientID);
 
-            virtual void switchGametype(Gametype* gametype);
+            virtual void switchGametype(Gametype* gametype) override;
 
             inline void setHumanHUDTemplate(const std::string& name)
Index: code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/infos/PlayerInfo.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~PlayerInfo();
 
-            virtual void changedName();
+            virtual void changedName() override;
             virtual void switchGametype(Gametype* gametype);
 
Index: code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/interfaces/PickupCarrier.h	(revision 10817)
@@ -77,5 +77,5 @@
             PickupCarrier(); //!< Constructor.
             virtual ~PickupCarrier(); //!< Destructor.
-            void preDestroy(void); //!< Is called before the PickupCarrier is effectively destroyed.
+            void preDestroy(void) override; //!< Is called before the PickupCarrier is effectively destroyed.
 
             bool isTarget(const Pickupable* pickup) const; //!< Can be used to check whether the PickupCarrier or a child of his is a target ot the input Pickupable.
Index: code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/interfaces/Pickupable.h	(revision 10817)
@@ -144,5 +144,5 @@
 
         protected:
-            virtual void preDestroy(void); //!< A method that is called by Destroyable::destroy() before the object is actually destroyed.
+            virtual void preDestroy(void) override; //!< A method that is called by Destroyable::destroy() before the object is actually destroyed.
             virtual void destroyPickup(void); //!< Destroys a Pickupable.
             virtual void carrierDestroyed(void); //!< Is called by the PickupCarrier when it is being destroyed.
@@ -182,5 +182,5 @@
         // For implementing the Rewardable interface:
         public:
-            virtual bool reward(PlayerInfo* player); //!< Method to transcribe a Pickupable as a Rewardable to the player.
+            virtual bool reward(PlayerInfo* player) override; //!< Method to transcribe a Pickupable as a Rewardable to the player.
 
     };
Index: code/branches/cpp11_v2/src/orxonox/items/Engine.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/Engine.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/items/Engine.h	(revision 10817)
@@ -59,5 +59,5 @@
             virtual ~Engine();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
             void setConfigValues();
 
Index: code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/items/MultiStateEngine.h	(revision 10817)
@@ -52,9 +52,9 @@
             virtual ~MultiStateEngine();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void run(float dt);
+            virtual void run(float dt) override;
 
-            virtual void addToSpaceShip(SpaceShip* ship);
+            virtual void addToSpaceShip(SpaceShip* ship) override;
 
             void addEffectContainer(EffectContainer* effect);
Index: code/branches/cpp11_v2/src/orxonox/items/PartDestructionEvent.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/PartDestructionEvent.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/items/PartDestructionEvent.h	(revision 10817)
@@ -100,5 +100,5 @@
             virtual ~PartDestructionEvent();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void execute();
Index: code/branches/cpp11_v2/src/orxonox/items/ShipPart.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/items/ShipPart.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/items/ShipPart.h	(revision 10817)
@@ -47,5 +47,5 @@
             virtual ~ShipPart();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             virtual void handleHit(float damage, float healthdamage, float shielddamage, Pawn* originator);
Index: code/branches/cpp11_v2/src/orxonox/overlays/GUISheet.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/GUISheet.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/overlays/GUISheet.h	(revision 10817)
@@ -44,5 +44,5 @@
         ~GUISheet();
 
-        void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void show();
Index: code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/overlays/InGameConsole.h	(revision 10817)
@@ -53,6 +53,6 @@
         void setConfigValues();
 
-        void preUpdate(const Clock& time);
-        void postUpdate(const Clock& time) { /*no action*/ }
+        void preUpdate(const Clock& time) override;
+        void postUpdate(const Clock& time) override { /*no action*/ }
 
         static void openConsole();
@@ -65,10 +65,10 @@
         void deactivate();
 
-        void linesChanged();
-        void lineAdded();
-        void inputChanged();
-        void cursorChanged();
-        void executed();
-        void exit();
+        void linesChanged() override;
+        void lineAdded() override;
+        void inputChanged() override;
+        void cursorChanged() override;
+        void executed() override;
+        void exit() override;
 
         void shiftLines();
@@ -77,5 +77,5 @@
         void print(const std::string& text, Shell::LineType type, int index, bool alwaysShift = false);
 
-        void windowResized(unsigned int newWidth, unsigned int newHeight);
+        void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
         // config value related
Index: code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/overlays/OrxonoxOverlay.h	(revision 10817)
@@ -90,7 +90,7 @@
         virtual ~OrxonoxOverlay();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-
-        virtual void changedName();
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+
+        virtual void changedName() override;
 
         //! Shows the overlay with an detour to BaseObject::visibility_
@@ -167,5 +167,5 @@
         void setBackgroundColour(ColourValue colour);
 
-        virtual void changedVisibility();
+        virtual void changedVisibility() override;
 
         inline void setOwner(BaseObject* owner)
@@ -206,5 +206,5 @@
 
     private:
-        void windowResized(unsigned int newWidth, unsigned int newHeight);
+        void windowResized(unsigned int newWidth, unsigned int newHeight) override;
 
         static unsigned int hudOverlayCounter_s;   //!< Static counter for hud elements
Index: code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/overlays/OverlayGroup.h	(revision 10817)
@@ -58,5 +58,5 @@
         ~OverlayGroup();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         static void toggleVisibility(const std::string& name);
@@ -68,5 +68,5 @@
             { return this->hudElements_; }
 
-        virtual void changedVisibility();
+        virtual void changedVisibility() override;
 
         void setOwner(BaseObject* owner);
Index: code/branches/cpp11_v2/src/orxonox/sound/AmbientSound.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/sound/AmbientSound.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/sound/AmbientSound.h	(revision 10817)
@@ -50,7 +50,7 @@
         AmbientSound();
 
-        void play();
-        bool stop();
-        void pause();
+        void play() override;
+        bool stop() override;
+        void pause() override;
 
         bool setAmbientSource(const std::string& source);
@@ -66,7 +66,7 @@
 
     private:
-        void preDestroy();
-        float getRealVolume();
-        bool moodChanged(const std::string& mood);
+        void preDestroy() override;
+        float getRealVolume() override;
+        bool moodChanged(const std::string& mood) override;
         inline void ambientSourceChanged()
             { this->setAmbientSource(this->ambientSource_); }
Index: code/branches/cpp11_v2/src/orxonox/sound/SoundManager.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/sound/SoundManager.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/sound/SoundManager.h	(revision 10817)
@@ -68,6 +68,6 @@
         ~SoundManager();
 
-        void preUpdate(const Clock& time);
-        void postUpdate(const Clock& time) { /*no action*/ }
+        void preUpdate(const Clock& time) override;
+        void postUpdate(const Clock& time) override { /*no action*/ }
         void setConfigValues();
 
Index: code/branches/cpp11_v2/src/orxonox/sound/WorldAmbientSound.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/sound/WorldAmbientSound.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/sound/WorldAmbientSound.h	(revision 10817)
@@ -50,8 +50,8 @@
             virtual ~WorldAmbientSound();
 
-            void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
+            void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
 
-            virtual void changedActivity();
+            virtual void changedActivity() override;
 
             void play();
Index: code/branches/cpp11_v2/src/orxonox/sound/WorldSound.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/sound/WorldSound.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/sound/WorldSound.h	(revision 10817)
@@ -47,9 +47,9 @@
         WorldSound(Context* context);
 
-        void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
-        void changedActivity();
+        void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+        void XMLEventPort(Element& xmlelement, XMLPort::Mode mode) override;
+        void changedActivity() override;
 
-        void tick(float dt);
+        void tick(float dt) override;
 
     protected:
@@ -58,6 +58,6 @@
     private:
         void registerVariables();
-        void initialiseSource();
-        float getRealVolume();
+        void initialiseSource() override;
+        float getRealVolume() override;
     };
 }
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h	(revision 10817)
@@ -42,5 +42,5 @@
             virtual ~DefaultWeaponmodeLink();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setFiremode(const unsigned int firemode)
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/Weapon.h	(revision 10817)
@@ -50,5 +50,5 @@
             virtual ~Weapon();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void fire(unsigned int mode);
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponMode.h	(revision 10817)
@@ -51,5 +51,5 @@
             virtual ~WeaponMode();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             bool fire(float* reloadTime);
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponPack.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~WeaponPack();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void fire(unsigned int weaponmode);
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSet.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~WeaponSet();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void fire();
Index: code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/weaponsystem/WeaponSlot.h	(revision 10817)
@@ -62,5 +62,5 @@
             virtual ~WeaponSlot();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void attachWeapon(Weapon * weapon);
Index: code/branches/cpp11_v2/src/orxonox/worldentities/CameraPosition.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/CameraPosition.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/CameraPosition.h	(revision 10817)
@@ -41,5 +41,5 @@
             virtual ~CameraPosition();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setDrag(bool bDrag)
Index: code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/ControllableEntity.h	(revision 10817)
@@ -54,6 +54,6 @@
             virtual ~ControllableEntity();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
             void setConfigValues();
 
@@ -141,8 +141,8 @@
             using MobileEntity::setAngularVelocity;
 
-            void setPosition(const Vector3& position);
-            void setOrientation(const Quaternion& orientation);
-            void setVelocity(const Vector3& velocity);
-            void setAngularVelocity(const Vector3& velocity);
+            void setPosition(const Vector3& position) override;
+            void setOrientation(const Quaternion& orientation) override;
+            void setVelocity(const Vector3& velocity) override;
+            void setAngularVelocity(const Vector3& velocity) override;
 
             inline bool hasLocalController() const
@@ -177,5 +177,5 @@
 
         protected:
-            virtual void preDestroy();
+            virtual void preDestroy() override;
 
             virtual void setPlayer(PlayerInfo* player); // don't call this directly, use friend class PlayerInfo instead
@@ -184,5 +184,5 @@
             virtual void startLocalHumanControl();
             virtual void stopLocalHumanControl();
-            virtual void parentChanged();
+            virtual void parentChanged() override;
 
             inline void setHudTemplate(const std::string& name)
@@ -214,5 +214,5 @@
 
             // Bullet btMotionState related
-            void setWorldTransform(const btTransform& worldTrans);
+            void setWorldTransform(const btTransform& worldTrans) override;
 
             unsigned int server_overwrite_;
Index: code/branches/cpp11_v2/src/orxonox/worldentities/Drone.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/Drone.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/Drone.h	(revision 10817)
@@ -50,15 +50,15 @@
             virtual ~Drone();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a Drone through XML.
-            virtual void tick(float dt); //!< Defines which actions the Drone has to take in each tick.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override; //!< Method for creating a Drone through XML.
+            virtual void tick(float dt) override; //!< Defines which actions the Drone has to take in each tick.
 
 
-            virtual void moveFrontBack(const Vector2& value);
-            virtual void moveRightLeft(const Vector2& value);
-            virtual void moveUpDown(const Vector2& value);
+            virtual void moveFrontBack(const Vector2& value) override;
+            virtual void moveRightLeft(const Vector2& value) override;
+            virtual void moveUpDown(const Vector2& value) override;
 
-            virtual void rotateYaw(const Vector2& value);
-            virtual void rotatePitch(const Vector2& value);
-            virtual void rotateRoll(const Vector2& value);
+            virtual void rotateYaw(const Vector2& value) override;
+            virtual void rotatePitch(const Vector2& value) override;
+            virtual void rotateRoll(const Vector2& value) override;
 
             /**
Index: code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/EffectContainer.h	(revision 10817)
@@ -43,5 +43,5 @@
             virtual ~EffectContainer();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void setLuaState(LuaState* state, const std::string& functionName);
Index: code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/ExplosionChunk.h	(revision 10817)
@@ -43,5 +43,5 @@
             virtual ~ExplosionChunk();
 
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
             inline void setLOD(LODParticle::Value level)
Index: code/branches/cpp11_v2/src/orxonox/worldentities/MobileEntity.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/MobileEntity.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/MobileEntity.h	(revision 10817)
@@ -55,14 +55,14 @@
             virtual ~MobileEntity();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
-            virtual void setPosition(const Vector3& position);
-            virtual void setOrientation(const Quaternion& orientation);
+            virtual void setPosition(const Vector3& position) override;
+            virtual void setOrientation(const Quaternion& orientation) override;
 
             virtual void setVelocity(const Vector3& velocity);
             inline void setVelocity(float x, float y, float z)
                 { this->setVelocity(Vector3(x, y, z)); }
-            inline const Vector3& getVelocity() const
+            inline const Vector3& getVelocity() const override
                 { return this->linearVelocity_; }
             /**
@@ -108,6 +108,6 @@
         protected:
             // Bullet btMotionState related
-            virtual void setWorldTransform(const btTransform& worldTrans);
-            void getWorldTransform(btTransform& worldTrans) const;
+            virtual void setWorldTransform(const btTransform& worldTrans) override;
+            void getWorldTransform(btTransform& worldTrans) const override;
 
             Vector3 linearAcceleration_;
@@ -117,5 +117,5 @@
 
         private:
-            virtual bool isCollisionTypeLegal(WorldEntity::CollisionType type) const;
+            virtual bool isCollisionTypeLegal(WorldEntity::CollisionType type) const override;
     };
 }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/MovableEntity.h	(revision 10817)
@@ -46,13 +46,13 @@
             virtual ~MovableEntity();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* cs, btManifoldPoint& contactPoint) override;
 
             using WorldEntity::setPosition;
             using WorldEntity::setOrientation;
 
-            inline void setPosition(const Vector3& position)
+            inline void setPosition(const Vector3& position) override
                 { MobileEntity::setPosition(position); this->overwrite_position_ = this->getPosition(); }
-            inline void setOrientation(const Quaternion& orientation)
+            inline void setOrientation(const Quaternion& orientation) override
                 { MobileEntity::setOrientation(orientation); this->overwrite_orientation_ = this->getOrientation(); }
 
@@ -79,6 +79,6 @@
         private:
             void registerVariables();
-            void clientConnected(unsigned int clientID);
-            void clientDisconnected(unsigned int clientID);
+            void clientConnected(unsigned int clientID) override;
+            void clientDisconnected(unsigned int clientID) override;
             void resynchronize();
 
Index: code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/SpawnPoint.h	(revision 10817)
@@ -44,5 +44,5 @@
             virtual ~SpawnPoint() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline void setSpawnClass(Identifier* identifier)
Index: code/branches/cpp11_v2/src/orxonox/worldentities/StaticEntity.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/StaticEntity.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/StaticEntity.h	(revision 10817)
@@ -55,10 +55,10 @@
             using WorldEntity::setOrientation;
 
-            void setPosition(const Vector3& position);
-            void setOrientation(const Quaternion& orientation);
+            void setPosition(const Vector3& position) override;
+            void setOrientation(const Quaternion& orientation) override;
 
         private:
             void registerVariables();
-            bool isCollisionTypeLegal(CollisionType type) const;
+            bool isCollisionTypeLegal(CollisionType type) const override;
 
             // network callbacks
@@ -69,6 +69,6 @@
 
             // Bullet btMotionState related
-            void setWorldTransform(const btTransform& worldTrans);
-            void getWorldTransform(btTransform& worldTrans) const;
+            void setWorldTransform(const btTransform& worldTrans) override;
+            void getWorldTransform(btTransform& worldTrans) const override;
     };
 }
Index: code/branches/cpp11_v2/src/orxonox/worldentities/TeamSpawnPoint.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/TeamSpawnPoint.h	(revision 10817)
@@ -43,5 +43,5 @@
             virtual ~TeamSpawnPoint() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void setTeamNumber(unsigned int team)
Index: code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/WorldEntity.h	(revision 10817)
@@ -96,5 +96,5 @@
             virtual ~WorldEntity();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             inline const Ogre::SceneNode* getNode() const
@@ -108,6 +108,6 @@
             static const Vector3 UP;
 
-            virtual void changedActivity(void);
-            virtual void changedVisibility(void);
+            virtual void changedActivity(void) override;
+            virtual void changedVisibility(void) override;
 
             virtual void setPosition(const Vector3& position) = 0;
Index: code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.h	(revision 10774)
+++ code/branches/cpp11_v2/src/orxonox/worldentities/pawns/Pawn.h	(revision 10817)
@@ -61,6 +61,6 @@
             virtual ~Pawn();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             inline bool isAlive() const
@@ -143,6 +143,6 @@
             virtual void kill();
 
-            virtual void fired(unsigned int firemode);
-            virtual void reload();
+            virtual void fired(unsigned int firemode) override;
+            virtual void reload() override;
             virtual void postSpawn();
 
@@ -179,5 +179,5 @@
 
 
-            virtual void startLocalHumanControl();
+            virtual void startLocalHumanControl() override;
 
             void setAimPosition( Vector3 position )
@@ -186,8 +186,8 @@
                 { return this->aimPosition_; }
 
-            virtual const Vector3& getCarrierPosition(void) const
+            virtual const Vector3& getCarrierPosition(void) const override
                 { return this->getWorldPosition(); };
 
-            virtual void changedVisibility();
+            virtual void changedVisibility() override;
 
             void setExplosionSound(const std::string& engineSound);
@@ -195,8 +195,8 @@
 
         protected:
-            virtual void preDestroy();
-
-            virtual void setPlayer(PlayerInfo* player);
-            virtual void removePlayer();
+            virtual void preDestroy() override;
+
+            virtual void setPlayer(PlayerInfo* player) override;
+            virtual void removePlayer() override;
 
             virtual void death();
@@ -212,7 +212,7 @@
             bool bAlive_;
 
-            virtual std::vector<PickupCarrier*>* getCarrierChildren(void) const
+            virtual std::vector<PickupCarrier*>* getCarrierChildren(void) const override
                 { return new std::vector<PickupCarrier*>(); }
-            virtual PickupCarrier* getCarrierParent(void) const
+            virtual PickupCarrier* getCarrierParent(void) const override
                 { return nullptr; }
 
